## spigot server
spigot server

### Building spigot-server image

```
docker build -t zombi/spigot-server .
```

the spigot binaries are built on the first start of the container instance.

This might take a few minutes depending on the internet connection and computing power of the host system.

### Running spigot-server

First create the storage directory with the correct permissions

  mkdir -p /data/minecraft/mc-server
  chown 5:60 /data/minecraft/mc-server

```
docker run -it -d \
 -v /data/minecraft/mc-server:/usr/games/mcserv \
 --name spigot-server \
 -p 25565:25565/udp \
 -p 25565:25565/tcp \
 zombi/spigot-server
```

on the first run the buildtools are building the spigot jar file and the container is exiting once done.

restart the container afterwards to run the minecraft server

  docker start spigot-server
